#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%define		nname		%(echo %{name}  | cut -d '-' -f2-3 | tr -s '-' '_')
%define		mname		%(echo %{name}  | cut -d '-' -f2-3 | tr -d '-')
#-----------------------------------------------------------------------------
Name		:	python3-u-msgpack
Version		:	2.8.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A portable, lightweight MessagePack serializer and deserializer

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/html5lib

Source0		:	%{sname}-python-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
A lightweight MessagePack serializer and
deserializer module written in pure Python.
It is fully compliant with the latest
MessagePack specification.
In particular, it supports the new binary,
UTF-8 string, and application-defined ext types.
 
 
#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%license LICENSE
%{python3_sitelib}/%{mname}/*.py
%{python3_sitelib}/%{mname}/*.pyi
%{python3_sitelib}/%{mname}/__pycache__/*.pyc
%{python3_sitelib}/%{nname}_python-%{version}.dist-info/


#=============================================================================
%prep
%setup -q -n %{sname}-python-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python} test_umsgpack.py

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
